﻿
namespace SignorityAPI
{
    public class Code
    {
        public const int DOCUMENT_TYPE_DOCUMENT         = 5;
        public const int DOCUMENT_TYPE_TEMPLATE_LINK    = 6;
        public const int DOCUMENT_TYPE_REGULAR_TEMPLATE = 7;
        public const int DOCUMENT_TYPE_BULK_SIGN_TEMPLATE = 8;

        public const int SIGNING_STATUS_DRAFT = 51;
        public const int SIGNING_STATUS_IN_PROGRESS = 52;
        public const int SIGNING_STATUS_COMPLETED = 53;
        public const int SIGNING_STATUS_REJECTED = 54;
        public const int SIGNING_STATUS_REACH_DEADLINE = 55;
        public const int SIGNING_STATUS_SIGNING_CANCELED = 56;

        public const int INVITATION_TYPE_SIGNER = 15;
        public const int INVITATION_TYPE_VIEWER = 16;
        public const int INVITATION_TYPE_REVIEWER = 17;
        public const int INVITATION_TYPE_SIGNING_HOST = 18;
        public const int INVITATION_TYPE_OPEN_SIGNER = 21;

        public const int RECIPIENT_STATUS_NOT_SENT = 60;
        public const int RECIPIENT_STATUS_WAIT_TO_OPEN = 61;
        public const int RECIPIENT_STATUS_REACH_DEADLINE = 62;
        public const int RECIPIENT_STATUS_WORK_IN_PROGRESS = 63;
        public const int RECIPIENT_STATUS_VIEWED = 64;
        public const int RECIPIENT_STATUS_RECIPIENT_REJECTED = 65;
        public const int RECIPIENT_STATUS_FINALIZED = 67;
        public const int RECIPIENT_STATUS_CANCELED = 68;

        public const string TAG_SIGN = "sign";
        public const string TAG_DATE = "date";
        public const string TAG_TEXT = "text";
        public const string TAG_CHECKBOX = "checkbox";
        public const string TAG_RADIO = "radio";

    }
}
