﻿using System.Collections.Generic;


namespace SignorityAPI
{
    public class DocumentAnchorTag
    {
        public int id { get; set; }

        public string title { get; set; }

        public int? signingStatus { get; set; }
        public int? documentType { get; set; }
        public int? signerCount { get; set; }

        public Client user { get; set; }

        public string senderName { get; set; }
        public string senderEmail { get; set; }

        public bool addAnchorTags { get; set; }
        public bool addTagsOfPDF { get; set; }

        public List<Invitaion> invitations { get; set; }

        public DocumentSetting documentSetting { get; set; }

    }

 
}
