﻿using System;
using System.Collections.Generic;

namespace SignorityAPI
{
    public class Invitaion
    {
        public int id { get; set; }
        public string recipientName { get; set; }
        public string recipientEmail { get; set; }

        public string deadlineTime { get; set; }
        public int? reminderDay { get; set; }
        public int? remindHour { get; set; }
        public int? actionType { get; set; }
        public int? status { get; set; }
        public string emailSubject { get; set; }
        public string emailBody { get; set; }
        public int? sequence { get; set; }

        public string GUID { get; set; }
        //public string actionType { get; set; }

        public Boolean? isBulkSigner { get; set; }

        public string style { get; set; }

        public List<HostedSigners> hostedSigners { get; set; }

        public void setSigner(string recipientName, string recipientEmail, int actionType = Code.INVITATION_TYPE_SIGNER)
        {
            this.recipientName  = recipientName;
            this.recipientEmail = recipientEmail;
            this.actionType     = actionType;
            this.id             = -1;
            this.sequence       = 0;
            this.isBulkSigner = false;
            this.status = Code.RECIPIENT_STATUS_NOT_SENT;
            this.emailSubject = "";
            this.emailBody = "";
        }

    }

    public class HostedSigners
    {
        public int invitationId { get; set; }
        public string name { get; set; }
        public string email { get; set; }

        public void setHostedSigner(string signer_name, string signer_email)
        {
            this.name = signer_name;
            this.email = signer_email;
            this.invitationId = -1;
        }

    }

}
